---
apiVersion: discovery.k8s.io/v1
items:
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.128.0.23
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: console-operator-5c7df9d7bb-9khcp
      namespace: openshift-console-operator
      uid: 75d983b2-2ba5-45c9-9fb0-ff70ab4c4fd1
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-27T12:17:50Z"
    creationTimestamp: "2025-10-27T11:40:23Z"
    generateName: metrics-
    generation: 10
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: metrics
      name: console-operator
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
            f:name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"b2c7416d-53f2-4b4a-90b8-67c24b361746"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-27T12:17:50Z"
    name: metrics-wcc5l
    namespace: openshift-console-operator
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: metrics
      uid: b2c7416d-53f2-4b4a-90b8-67c24b361746
    resourceVersion: "38787"
    uid: 89584bc9-5b4d-4238-ab6c-8d5373b10502
  ports:
  - name: https
    port: 8443
    protocol: TCP
kind: EndpointSliceList
metadata:
  resourceVersion: "2219714"
